curl --request GET \
--url https://api.example.com/api/v1/driver/cash-settlements/{cashSettlementId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/driver/cash-settlements/{cashSettlementId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/driver/cash-settlements/{cashSettlementId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cashSettlementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"checkoutSessionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"paymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cooperativeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transportOperatorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"driverId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"declaredAmount": 1,
"status": "PENDING",
"submittedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"submittedAt": "2023-11-07T05:31:56Z",
"confirmedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"confirmedAt": "2023-11-07T05:31:56Z",
"rejectedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rejectedAt": "2023-11-07T05:31:56Z",
"rejectionReason": "<string>",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"statusCode": 400,
"message": "Bad Request Error",
"errors": [
{
"code": "invalid_type",
"message": "Required",
"path": "name"
}
]
}{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}{
"statusCode": 404,
"error": "Not Found",
"message": "resource.not_found"
}Get Cash Settlement
Returns a cash settlement associated with the authenticated driver.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Cash settlement identifier
Query Parameters
Comma-separated list of fields to include in the response. Supports dot notation for nested projection.
Response
OK
Automatically submitted accountability record for one CASH checkout session.
Cash settlement identifier.
Unique checkout session that originated the settlement.
Payment linked after cooperative confirmation.
Cooperative organization identifier.
Cooperative responsible for confirmation.
Transport operator from the trip context.
Driver responsible for the cash sale.
Amount automatically declared in cents.
x >= 0Cash settlement status.
PENDING, CONFIRMED, REJECTED User that confirmed the checkout session.
Automatic submission date.
OPS user that confirmed the settlement.
Cooperative confirmation date.
OPS user that rejected the settlement.
Cooperative rejection date.
Reason informed when the settlement is rejected.
User that created the record.
Creation date.
User that last updated the record.
Last update date.